<?php
/**
 * @copyright	Copyright (c) 2016 Ozeki. All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

// no direct access
defined('_JEXEC') or die;

/**
 * Ozeki - Ozeki SMS Newsletter Helper Class.
 *
 * @package		Joomla.Site
 * @subpakage	Ozeki.OzekiSMSNewsletter
 */
class modOzekiSMSNewsletterHelper {
	var $params;
	
	function __construct($params) {
		$this->params = $params;
	}
	
	function ozekiSmsNewsletter() {
		echo '
		<form method="post" action="">
			<div>Phone number:</div>
			<div><input type="text" name="oz_phonenumber" style="width:166px;"></div>
			<div>
				<input type="radio" name="oz_subscribe" value="subscribe" checked> Subscribe
				<input type="radio" name="oz_subscribe" value="unsubscribe"> Unsubscribe
			</div>
			<div style="text-align:center; margin-top: 15px; margin-bottom: -15px;"><input type="submit" name="oz_post" value="Save settings"></div>
		</form>';
	}
	
	function ozekiSmsNewsletterSubscribe($oz_phonenumber, $oz_subscribe) {
		$oz_mysql_list_name = $this->params->get('oz_mysql_list_name');

		$option = array();
		$option['driver'] = 'mysql';
		$option['host'] = $this->params->get('oz_mysql_ip');
		$option['user'] = $this->params->get('oz_mysql_username');
		$option['password'] = $this->params->get('oz_mysql_password');
		$option['database'] = $this->params->get('oz_mysql_database_name');

		$db = JDatabaseDriver::getInstance($option);
		$query = $db->getQuery(true);
		$query->select('count(*)');
		$query->from($db->quoteName($oz_mysql_list_name));
		$query->where($db->quoteName('phonenumber')." = ".$oz_phonenumber);
		$db->setQuery($query);
		$count = $db->loadResult();

		if($oz_subscribe == "subscribe") {
			if($count > 0) {
				echo '<div style="text-align:center;color:green;;">You have already subscribed to SMS newsletter!</div>';
			}
			else {
				$query = $db->getQuery(true);
				$columns = array('phonenumber');
				$query
					->insert($db->quoteName($oz_mysql_list_name))
					->columns($db->quoteName($columns))
					->values('"' . $oz_phonenumber . '"');
				$db->setQuery($query);
				$db->execute();

				echo '<div style="text-align:center;color:green;">Your phone number has been added to the list!</div>';
			}
		}
		elseif($oz_subscribe == "unsubscribe") {
			$query = $db->getQuery(true);
			$conditions = array(
				$db->quoteName('phonenumber') . ' = "' . $oz_phonenumber . '"'
			);
			$query->delete($db->quoteName($oz_mysql_list_name));
			$query->where($conditions);
			$db->setQuery($query);
			$result = $db->execute();

			echo '<div style="text-align:center;color:red;">Your phone number has been deleted from the list!</div>';
		}
	}
}

$ozeki = new modOzekiSMSNewsletterHelper($params);
$ozeki->ozekiSmsNewsletter();

if(isset($_REQUEST['oz_subscribe'])) {
	$oz_phonenumber = $_REQUEST['oz_phonenumber'];
	
	if(is_numeric($oz_phonenumber) && (strlen($oz_phonenumber) > 6)) {
		$ozeki->ozekiSmsNewsletterSubscribe($oz_phonenumber, $_REQUEST['oz_subscribe']);
	}
	else {
		echo '<div style="text-align:center;color:red;">Invalid phone number!</div>';
	}
}
